using BlurgText;
using Dashboard.ImmediateDraw;
using OpenTK.Mathematics;

namespace Dashboard.BlurgText
{
    public static class BlurgCommand
    {
        public static void PutBlurgText(this DrawList list, DashboardBlurg blurg, BlurgResult result, Vector2 origin)
        {
            for (int i = 0; i < result.Count; i++)
            {
                BlurgRect rect = result[i];

                QRectangle pos = new QRectangle()
                {
                    Min = origin + new Vector2(rect.X, rect.Y),
                    Size = new Vector2(rect.Width, rect.Height)
                };

                QRectangle uv = new QRectangle(rect.U1, rect.V1, rect.U0, rect.V0);

                list.Image(blurg.Images[(int)rect.UserData], pos, uv);
            }
        }
    }
}